/* Set the background color of the entire page */
body {
  background-color: rgb(228, 224, 224);
  margin: 0;
  padding: 0;
  height: 100%;
}

#question img {
  max-width: 100%;
  height: auto;
}

#question table {
  width: 100%;
  border-collapse: collapse;
  margin-top: 10px;
  margin-bottom: 10px;
}

#question table,
#question th,
#question td {
  border: 1px solid #ddd;
}

#question th,
#question td {
  padding: 8px;
  text-align: left;
}

.info-box {
  max-height: 0;
  overflow: hidden;
  opacity: 0;
  transition: max-height 0.4s ease-out, opacity 0.3s ease-out;
}

.info-box.open {
  max-height: 500px;
  /* Ajuste selon le contenu */
  opacity: 1;
}


/* Center the form vertically and horizontally */
.middle-box {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 20px;
}

/* Style for the inner box (the form container) */
.middle-box>div {
  background-color: #f7f7f7;
  border-radius: 8px;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
  padding: 20px 30px;
  width: 450px;
  /* Set the width of the form */
  max-width: 100%;
}

/* Style for the Google button container */
.bouton-google {
  display: flex;
  flex-direction: column;
  /* Align items in a column (logo above button) */
  justify-content: center;
  align-items: center;
  /* Center the items horizontally */
  margin-bottom: 20px;
  /* Space below the container */
}

/* Style for the Google logo */
.google-logo {
  width: 40px;
  /* Adjust the size of the logo */
  height: auto;
  margin-bottom: 20px;
  /* Space between logo and button */
}

/* Style for the Google button */
.btn-google {
  background-color: #fff;
  border: 1px solid #ddd;
  border-radius: 50px;
  padding: 10px;
  cursor: pointer;
  width: 80%;
  /* Reduce the button width */
  text-align: center;
  display: inline-block;
}









/* Styles pour le sous-menu */
.nav-second-level {
  display: none;
  padding-left: 15px;
}

.nav-second-level.in {
  display: block;
}

.nav-item.active>a {
  color: #1c84c6;
  /* Couleur pour l'élément actif */
}

.loader {
  border: 4px solid #f3f3f3;
  border-top: 4px solid #3498db;
  border-radius: 50%;
  width: 20px;
  height: 20px;
  animation: spin 1s linear infinite;
}

.loadBack {
  background: linear-gradient(rgb(39, 55, 72), rgb(40, 65, 111));
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

.flash {
  animation: flash 1s ease-in-out infinite;
}

@keyframes flash {

  0%,
  100% {
    background-color: #ffffff;
    /* Couleur initiale */
  }

  50% {
    background-color: #ffeb3b;
    /* Couleur pendant le clignotement */
  }
}

.table-container {
  max-height: 600px;
  /* Ajustez selon votre design */
  overflow-y: auto;
  /* Ajoute une scrollbar verticale si nécessaire */
  border: 1px solid #ddd;
  /* Optionnel : pour délimiter le tableau */
  border-radius: 5px;
  /* Optionnel : coins arrondis */
  padding: 0;
  /* Enlevez les marges internes si nécessaire */
}

.table-container::-webkit-scrollbar {
  width: 6px;
  /* Largeur de la scrollbar */
}

.table-container::-webkit-scrollbar-thumb {
  background-color: #888;
  /* Couleur de la scrollbar */
  border-radius: 5px;
  /* Coins arrondis de la scrollbar */
}

.table-container::-webkit-scrollbar-thumb:hover {
  background-color: #555;
  /* Couleur au survol */
}

.table-container-content {
  max-height: 400px;
  /* Ajustez selon votre design */
  overflow-y: auto;
  /* Ajoute une scrollbar verticale si nécessaire */
  border: 1px solid #ddd;
  /* Optionnel : pour délimiter le tableau */
  border-radius: 5px;
  /* Optionnel : coins arrondis */
  padding: 0;
  /* Enlevez les marges internes si nécessaire */
}

.table-container-content::-webkit-scrollbar {
  width: 6px;
  /* Largeur de la scrollbar */
}

.table-container-content::-webkit-scrollbar-thumb {
  background-color: #888;
  /* Couleur de la scrollbar */
  border-radius: 5px;
  /* Coins arrondis de la scrollbar */
}

.table-container-content::-webkit-scrollbar-thumb:hover {
  background-color: #555;
  /* Couleur au survol */
}

@media (max-width: 768px) {
  .order-1 {
    order: 1 !important;
  }

  .order-2 {
    order: 2 !important;
  }
}


.close-red {
  cursor: pointer;
  transition: color 0.2s ease;
}

.close-red:hover {
  color: red;
}